Package ec.rule

# Class RuleInitializer

java.lang.Object
ec.Initializer
ec.simple.SimpleInitializer
ec.rule.RuleInitializer

All Implemented Interfaces:
  `Setup`, `Singleton`, `Serializable`

public class RuleInitializer extends SimpleInitializer
A SimpleInitializer subclass designed to be used with rules. Basically, the RuleInitializer sets up the RuleConstraints and RuleSetConstraints cliques at setup() time, and does nothing else different from SimpleInitializer. The RuleInitializer also specifies the parameter bases for the RuleSetConstraints and RuleConstraints objects.

Parameter bases

`rule.rsc` | RuleSetConstraints
`rule.rc` | RuleConstraints

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `byte`
  `numRuleConstraints`
  `byte`
  `numRuleSetConstraints`
  `static final String`
  `P_RULECONSTRAINTS`
  `static final String`
  `P_RULESETCONSTRAINTS`
  `static final String`
  `P_SIZE`
  `Hashtable`
  `ruleConstraintRepository`
  `RuleConstraints[]`
  `ruleConstraints`
  `Hashtable`
  `ruleSetConstraintRepository`
  `RuleSetConstraints[]`
  `ruleSetConstraints`
  `static final int`
  `SIZE_OF_BYTE`

  ### Fields inherited from class ec.Initializer

  `P_POP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RuleInitializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setup(EvolutionState state, Parameter base)`
  Sets up the RuleConstraints and RuleSetConstraints cliques.
  `void`
  `setupConstraints(EvolutionState state, Parameter base)`
  Sets up all the RuleConstraints, loading them from the parameter file.
  `void`
  `setupRuleSetConstraints(EvolutionState state, Parameter base)`

  ### Methods inherited from class ec.simple.SimpleInitializer

  `initialPopulation, setupPopulation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SIZE_OF_BYTE

    public static final int SIZE_OF_BYTE
    See Also:
      - Constant Field Values

  - ### P_RULESETCONSTRAINTS

    public static final String P_RULESETCONSTRAINTS
    See Also:
      - Constant Field Values

  - ### P_RULECONSTRAINTS

    public static final String P_RULECONSTRAINTS
    See Also:
      - Constant Field Values

  - ### P_SIZE

    public static final String P_SIZE
    See Also:
      - Constant Field Values

  - ### ruleConstraintRepository

    public Hashtable ruleConstraintRepository

  - ### ruleConstraints

    public RuleConstraints[] ruleConstraints

  - ### numRuleConstraints

    public byte numRuleConstraints

  - ### ruleSetConstraintRepository

    public Hashtable ruleSetConstraintRepository

  - ### ruleSetConstraints

    public RuleSetConstraints[] ruleSetConstraints

  - ### numRuleSetConstraints

    public byte numRuleSetConstraints

- ## Constructor Details

  - ### RuleInitializer

    public RuleInitializer()

- ## Method Details

  - ### setup

    public void setup(EvolutionState state, Parameter base)
    Sets up the RuleConstraints and RuleSetConstraints cliques.
    Specified by:
      `setup` in interface `Setup`
    Overrides:
      `setup` in class `SimpleInitializer`

  - ### setupConstraints

    public void setupConstraints(EvolutionState state, Parameter base)
    Sets up all the RuleConstraints, loading them from the parameter file. This must be called before anything is called which refers to a type by name.

  - ### setupRuleSetConstraints

    public void setupRuleSetConstraints(EvolutionState state, Parameter base)